Skip to main content
GET
/
tasks
/
tracking
Read task tracking
curl --request GET \
  --url https://apiweb.mile.app/api/v3/tasks/tracking \
  --header 'Authorization: Bearer <token>'
{
  "doneTotal": 0,
  "ongoingTotal": 2,
  "taskTotal": 2,
  "totalDistance": 0,
  "totalDuration": 3,
  "counting": {
    "worker+1@paket.id": {
      "doneTask": 0,
      "ongoingTask": 1,
      "distance": 0,
      "duration": 3
    },
    "worker+2@paket.id": {
      "doneTask": 0,
      "ongoingTask": 0,
      "distance": 0,
      "duration": 0
    },
    "worker+3@paket.id": {
      "doneTask": 0,
      "ongoingTask": 0,
      "distance": 0,
      "duration": 0
    }
  },
  "createdFrom": [
    "mileAppField",
    "GPS 1",
    "GPS 2"
  ]
}

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

hubId
string
required

Fundamental entity within an organization, serving as the central point for managing various operational components. Use Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29

timeBy
string

Optional filter to range data between one of the following options : enum: createdTime,startTime,doneTime Example: startTime

timeFrom
string<date-time>
required

Used to set the start limit of the data range to retrieve based on timeBy with format (Y-m-d H:i:s) Example: 2023-01-01 00:00:00

timeTo
string<date-time>
required

Used to set the end limit of the data range to retrieve based on timeBy with format (Y-m-d H:i:s) Example: 2023-01-01 23:59:59

createdFrom
string

A flagging for describe location history created from, default value generated by system is mileAppField. Example: mileAppField. Default: null

email
string

A Filter for show by specified email of user. Example: example@mile.app

isSnapToRoute
string

A flagging for calculating location history using the Snap-to-Route method. By default, the system uses the Flatten method for location history calculation. Example: 1. Default: null

Response

Success

doneTotal
boolean

Total task Done.

ongoingTotal
boolean

Total Task Ongoing.

taskTotal
boolean

Total Task ongoing and done.

totalDistance
boolean

Total summary of distance.

totalDuration
boolean

Total summary of duration.

counting
object

Detail of object user summary

createdFrom
object[]

Array of string for describe location history created from.